Skipping major versions when upgrading JIRA applications

If you're upgrading from a version of JIRA earlier than 7.0, you should consult the Migration hub. The release of JIRA 7.0 contained functionality that affects your user management, application access and log in permissions, and your JIRA installations setup, and it's very important that you understand the requirements and the implications before you upgrade. The Migration hub has all this information in one handy space.

To upgrade from early versions of JIRA to newer versions, you must upgrade to JIRA 4.4.5 before upgrading to a later version.

Follow these steps to skip major versions as you upgrade JIRA:

  1. Prepare: Read the upgrade guides for all the major versions between your current version and the version to which you are upgrading. You can read about important changes between versions in the Important Version-Specific Upgrade Notes.
  2. Upgrade to an interim version: Upgrade to JIRA 4.4.5 following these Upgrading JIRA with a Fallback Method instructions. 
  3. Upgrade to the new version: Upgrade to the new version of JIRA following these appropriate instructions. Use the table on Upgrading JIRA page to determine which method is appropriate for your environment.

JIRA Software specific notes

If you plan to upgrade from JIRA and JIRA Agile less than 6.4.x and 6.3.5 respectively, you must upgrade to JIRA Software 7.0 as an interim version before upgrading further.

JIRA Service Desk specific notes

If you plan to upgrade from JIRA and JIRA Service Desk less than 6.4x and 2.5.x respectively, you must upgrade to JIRA Service Desk 3.0 as an interim version before upgrading further.

JIRA Software and JIRA Service Desk specific notes

If you have JIRA, JIRA Agile and JIRA Service Desk  less than 6.4.x, 6.3.x, and 2.5.x respectively, you must upgrade to JIRA Software 7.0 and JIRA Service Desk 3.0 as interim versions before upgrading further.

Was this helpful?

Thanks for your feedback!

Why was this unhelpful?

Have a question about this article?

See questions about this article

Powered by Confluence and Scroll Viewport